<?php defined('BASEPATH') OR exit('No direct script access allowed');

class m_template_penetapan_pdt extends CI_Model {

	function getDataPN(){
		try{
			$sql = "SELECT * FROM 
					(SELECT value AS NamaPN FROM sys_config WHERE id = 62) AS T1,
					(SELECT value AS KetuaPNNama FROM sys_config WHERE id = 64) AS T2,
					(SELECT value AS AlamatPN FROM sys_config WHERE id = 63) AS T3,
					(SELECT value AS WakilKetuaPNNama FROM sys_config WHERE id = 66) AS T4,
					(SELECT value AS PansekPNNama FROM sys_config WHERE id = 68) AS T5,
					(SELECT value AS WaPanNama FROM sys_config WHERE id = 70) AS T6";
			$query=$this->db->query($sql);
			return $query;	
		}catch(Exception $e) { return false; }
	}

	function getDataPenetapanHakim($idperkara,$pembuat){
		try {
			if(!is_numeric($idperkara) OR !is_numeric($pembuat)){
				return 'dd';
			}
			if($pembuat=="1"){$pembuat="64";}else{$pembuat="66";}
			return $this->db->query("SELECT	a.tanggal_pendaftaran, 
					a.nomor_perkara, 
					a.tanggal_surat, 
					a.nomor_surat,
					info.*, 
					d.*,
					IF(d.pengacara_idP IS NOT NULL,CONCAT('Berkedudukan di  ',d.alamatP,'dalam hal ini memberikan kuasa kepada ',d.namaPengacaraP,' beralamat di ',d.alamatPengacaraP,' berdasarkan Surat Kuasa Khusus tanggal  ',IF(a.tanggal_surat IS NULL,'.....',a.tanggal_surat),' sebagai '),
						CONCAT('Bertempat tinggal di ',d.`alamatP`,' , Sebagai ')) AS statusP,
					j.*,
					IF(j.pengacara_idT IS NOT NULL,CONCAT('Berkedudukan di  ',j.alamatT,'dalam hal ini memberikan kuasa kepada ',j.namaPengacaraT,' beralamat di ',j.alamatPengacaraT,' berdasarkan Surat Kuasa Khusus tanggal  ',IF(a.tanggal_surat IS NULL,'.....',a.tanggal_surat),' sebagai '),
						CONCAT('Bertempat tinggal di ',j.`alamatT`,' , Sebagai ')) AS statusT, 
					hakim.*
				FROM perkara AS a 
				LEFT JOIN (SELECT c.pengacara_id AS pengacara_idP, 
						a.perkara_id AS perkara_idP,
						b.`pihak_id` AS pihak_idP, 
						b.nama AS namaP, 
						b.urutan AS urutanP,
						b.alamat AS alamatP,
						c.nama AS namaPengacaraP,
						c.alamat AS alamatPengacaraP, 
						c.pihak_id AS pihak_idPC
						FROM 	perkara AS a
						LEFT JOIN perkara_pihak1 AS b ON a.perkara_id=b.perkara_id
						LEFT JOIN perkara_pengacara AS c ON a.perkara_id=c.perkara_id AND FIND_IN_SET(b.pihak_id,c.pihak_id)) AS d ON d.perkara_idP=$idperkara
				LEFT JOIN (SELECT c.pengacara_id AS pengacara_idT, 
						a.perkara_id AS perkara_idT, 
						b.`pihak_id` AS pihak_idT,
						b.urutan AS urutanT,
						b.nama AS namaT,
						b.alamat AS alamatT,
						c.nama AS namaPengacaraT,
						c.alamat AS alamatPengacaraT, 
						c.pihak_id AS pihak_idTC
						FROM perkara AS a
						LEFT JOIN perkara_pihak2 AS b ON a.perkara_id=b.perkara_id 
						LEFT JOIN perkara_pengacara AS c ON a.perkara_id=c.perkara_id AND  FIND_IN_SET(b.pihak_id,c.pihak_id)) AS j ON j.perkara_idT=$idperkara
				LEFT JOIN (SELECT 	(SELECT value FROM sys_config WHERE id=62) AS namaPengadilan,a.id,IF(a.name = 'KetuaPNNama','Ketua','Wakil Ketua') AS jabatan,a.value AS nama
						FROM 	(SELECT id,name,value FROM sys_config  
							UNION 
					SELECT id,name, value FROM sys_config )AS a) AS info ON  info.id IN ('64','66')
				LEFT JOIN (SELECT a.perkara_id, a.tanggal_penetapan,a.hakim_id, a.urutan, a.jabatan_hakim_id,a.jabatan_hakim_nama,b.nama_gelar
						FROM perkara_hakim_pn AS a,
						hakim_pn AS b WHERE a.hakim_id=b.id AND a.aktif='Y') AS hakim ON hakim.perkara_id=a.perkara_id 
				WHERE a.perkara_id=$idperkara AND info.id=$pembuat");
		} catch (Exception $e) {
		}
	}
	
	function getDataPerkara($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
				}
			return $this->db->query('SELECT nomor_perkara,nomor_surat,tanggal_surat, tanggal_pendaftaran FROM perkara WHERE perkara_id ='.$idperkara);
		} catch(PDOException $e) {		
		}
	}

	function getHakim($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
				}
			return $this->db->query("SELECT hakim_nama FROM perkara_hakim_pn WHERE perkara_id=".$idperkara." AND aktif='Y'");
		} catch(PDOException $e) {		
		}
	}

	function getPanitera($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
				}
			return $this->db->query("SELECT panitera_nama FROM perkara_panitera_pn WHERE perkara_id=".$idperkara." AND aktif='Y'");
		} catch(PDOException $e) {		
		}
	}

	function getTglPts($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
				}
			return $this->db->query('SELECT tanggal_putusan, amar_putusan FROM perkara_putusan WHERE perkara_id ='.$idperkara);
		} catch(PDOException $e) {		
		}
	}

	function getCetakPihakPenggugat($idperkara){
	try{
		if(!is_numeric($idperkara)){
					return '';
				}
		$qry="	SELECT   
					  b.nama,
					  b.alamat,
					  c.tempat_lahir,
					  c.tanggal_lahir,
					  c.jenis_kelamin,
					  c.telepon,
					  c.email,
					  c.pekerjaan  
				FROM
				  perkara a,
				  perkara_pihak1 b,
				  pihak c 
				WHERE a.perkara_id = b.perkara_id 
				  AND b.pihak_id = c.id 
				  AND a.perkara_id =".$idperkara;
        $query=$this->db->query($qry);
        return $query;
	}catch(PDOException $e) {
		}
	}

	function getCetakPihakTergugat($idperkara){
	try{
		if(!is_numeric($idperkara)){
					return '';
				}
		$qry="	SELECT   
					  b.nama,
					  b.alamat,
					  c.tempat_lahir,
					  c.tanggal_lahir,
					  c.jenis_kelamin,
					  c.telepon,
					  c.email,
					  c.pekerjaan  
				FROM
				  perkara a,
				  perkara_pihak2 b,
				  pihak c 
				WHERE a.perkara_id = b.perkara_id 
				  AND b.pihak_id = c.id 
				  AND a.perkara_id =".$idperkara;
        $query=$this->db->query($qry);
        return $query;
	}catch(PDOException $e) {
		}
	}

	function getDataDocumentTemplate($idalurperkara,$idatahapan,$idproses,$notemplate,$keyword){
		if (empty($keyword) or $keyword==''){
		$sql="SELECT a.nama AS jnsperkara,b.nomor AS notenmplate,b.kode AS kdtemplate,b.nama AS namatemplate 
				FROM alur_perkara a,template_dokumen b 
				WHERE a.id=b.alur_perkara_id 	AND a.id=$idalurperkara 
												AND b.tahapan_id =$idatahapan 
												AND b.proses_id=$idproses 
												AND b.nomor=$notemplate";
		}else{
		$sql="SELECT a.nama AS jnsperkara,b.nomor AS notenmplate,b.kode AS kdtemplate,b.nama AS namatemplate 
				FROM alur_perkara a,template_dokumen b 
				WHERE a.id=b.alur_perkara_id 	AND a.id=$idalurperkara 
												AND b.tahapan_id =$idatahapan 
												AND b.proses_id=$idproses 
												AND b.nama LIKE '%$keyword%'";
		}
		$query=$this->db->query($sql);
		return $query;
	}
}
?>